package sqlite

import "github.com/jmoiron/sqlx"

const (
	createUserSql = `CREATE TABLE IF NOT EXISTS db_unis_aisub (userid TEXT NOT NULL,is_sub INTEGER,CONSTRAINT db_unis_aisub_pk PRIMARY KEY (userid));`

	createResStoreSql = `CREATE TABLE IF NOT EXISTS db_unis_res_store (
		url TEXT NOT NULL,
		body TEXT,
		response TEXT,
		channel INTEGER, 
		methord TEXT,
		created_at TEXT NOT NULL DEFAULT (DATETIME('now', 'localtime')),
		updated_at TEXT NOT NULL DEFAULT (DATETIME('now', 'localtime')),
		CONSTRAINT db_unis_res_pk PRIMARY KEY (url,channel,methord)
		);

		CREATE TRIGGER IF NOT EXISTS trigger_db_unis_res_store_updated_at AFTER UPDATE ON db_unis_res_store
		BEGIN
    		UPDATE db_unis_res_store SET updated_at = DATETIME('now', 'localtime') WHERE rowid == NEW.rowid;
		END;`
)

type Sqlite3 struct {
	Db *sqlx.DB
}

func (s *Sqlite3) GetDb() *sqlx.DB {
	return s.Db
}

func (s *Sqlite3) CreateUserSql() string {
	return createUserSql
}

func (s *Sqlite3) CreateResStoreSql() string {
	return createResStoreSql
}
