package models

type StationConfigParams struct {
	StationConfig UnisConfig `json:"stationConfig,omitempty"`
}
type Screens struct {
	ScreenIndex          int    `json:"screenIndex,omitempty"`
	Mode                 int    `json:"mode,omitempty"`
	PhysicalX            int    `json:"physicalX,omitempty"`
	PhysicalY            int    `json:"physicalY,omitempty"`
	PhysicalWidth        int    `json:"physicalWidth,omitempty"`
	PhysicalHeight       int    `json:"physicalHeight,omitempty"`
	LogicX               int    `json:"logicX,omitempty"`
	LogicY               int    `json:"logicY,omitempty"`
	LogicWidth           int    `json:"logicWidth,omitempty"`
	LogicHeight          int    `json:"logicHeight,omitempty"`
	LogicFrameRate       int    `json:"logicFrameRate,omitempty"`
	Channel              int    `json:"channel,omitempty"`
	McType               int    `json:"mcType,omitempty"`
	SupportChannel       int    `json:"supportChannel,omitempty"`
	Primary              bool   `json:"primary,omitempty"`
	NodeID               string `json:"nodeId,omitempty"`
	NodeIP               string `json:"nodeIp,omitempty"`
	FpgaID               string `json:"fpgaId,omitempty"`
	SupportHighestTiming string `json:"supportHighestTiming,omitempty"`
	UnisCapability       string `json:"unisCapability,omitempty"`
}
type UnisConfig struct {
	ID           string    `json:"id,omitempty"`
	Name         string    `json:"name,omitempty"`
	RowCount     int       `json:"rowCount,omitempty"`
	ColCount     int       `json:"colCount,omitempty"`
	ScreenNum    int       `json:"screenNum,omitempty"`
	WallWidth    int       `json:"wallWidth,omitempty"`
	WallHeight   int       `json:"wallHeight,omitempty"`
	ReceiveIndex int       `json:"receiveIndex,omitempty"`
	PrimaryIndex int       `json:"primaryIndex,omitempty"`
	ConfigType   bool      `json:"configType,omitempty"`
	Screens      []Screens `json:"screens,omitempty"`
}